Name:           apache-logging-parent
Summary:        Parent pom for Apache Logging Services projects
Version:        9
Release:        %mkrel 3
Group:          Development/Java
License:        Apache-2.0

URL:            https://logging.apache.org/
Source0:        https://repo1.maven.org/maven2/org/apache/logging/logging-parent/%{version}/logging-parent-%{version}-source-release.zip
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache:apache:pom:)

# jboss-logging packages now use this parent rather than jboss-parent
#Obsoletes: jboss-parent = 20

%description
Parent pom for Apache Logging Services projects.


%prep
%setup -q -n logging-parent-logging-parent-%{version}
cp -p %SOURCE1 LICENSE

%pom_remove_plugin com.diffplug.spotless:spotless-maven-plugin

%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 9-3.mga10
+ Revision: 2223124
- Mageia 10 Mass Rebuild

* Tue May 21 2024 ns80 <ns80> 9-2.mga10
+ Revision: 2065656
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 9-1.mga10
+ Revision: 1986422
- update to version 9

* Sat Mar 26 2022 umeabot <umeabot> 2-3.mga9
+ Revision: 1827421
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2-2.mga8
+ Revision: 1528349
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 2-1.mga8
+ Revision: 1430000
- Update to version 2

* Thu Jul 11 2019 daviddavid <daviddavid> 1-2.mga8
+ Revision: 1420010
- rebuild against current java stack (as it failed at the last autobuild)

* Thu Sep 20 2018 daviddavid <daviddavid> 1-1.mga7
+ Revision: 1289210
- imported package apache-logging-parent


* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 29 2017 Michael Simacek <msimacek@redhat.com> - 1-1
- Initial packaging
